# RIXML - simple DSL for parse rixml.

[![Build Status](https://travis-ci.org/AlphaExchange/rixml.svg?branch=master)](https://travis-ci.org/AlphaExchange/rixml)

A simple RIXML parser for Ruby.

* Main page: https://github.com/AlphaExchange/rixml

## Usage

Basic usage:

```ruby
require 'rixml'

#parse from file
rixml = RIXML.parse_from_file('./test/fixtures/simple.xml')

#parse from string
rixml = RIXML.parse('<xml></xml>')

#parse from File
rixml = RIXML.new(File)
```

Now you should be able to get info about RIXML.

```ruby
# rixml.product_id
095ad669-9f01-421e-91a0-c6c9e78a3c9d

# rixml.status
revised

# rixml.publication_date
instance of Time

# rixml.authors

{
  name: 'Leonardo Siqueira',
  first_name: 'Leonardo',
  middle_name: 'Goularte',
  last_name: 'Siqueira',
  job_title: 'Awesome Job',
  email: 'leonardo@alpha-exchange.com'
}


# rixml.report_info

{
  title: 'Title',
  abstract: 'We initiate coverage with a Buy rating. We believe the stock is deeply undervalued...',
  file_name: 'sample.pdf',
  pages: 2
}

# rixml.context
{
  companies: companies: [{ isin: 'GOOG11234' }],
  sectors: [{ code: 45101010, focus: true }]
}

```


## Legal

Released under the MIT License: http://www.opensource.org/licenses/mit-license.php